function [x0 support] = CreateTestVector(m, S, type);

%copy from Elad Ch5_LARS_vs_OMP

% Generate a test signal of 
% of length m        
% cardinality S

if nargin<3
    type=0;
end

x0=zeros(m,1);
pos=randperm(m);

support = pos(1:S);

switch type
    case 0
        x0(support)=sign(randn(S,1)).*(1+rand(S,1));
    case 1
        x0(support)=sign(randn(S,1));
end


