function Phi = GetDictionary(d, N, type);

% d=4;
% N=8;
% type = 'bernoulli';



switch type
    case 'random'
        Phi = RandomDictionary(d, N);
    case 'haardct'
        Phi = MakeHaarDCT(d);%dX(2d-1)
    case 'bernoulli'
        Phi = binornd(1, 0.5, d, N);   
end