function G = GramTB(G, d);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   TEST SET
% d = 2;
% N = 3;
% Phi = GetRandomMeasurementMatrix(d, N);
% G = Phi'*Phi; %compute Gram matrix          
% mu = GetMutualCoherenceFromGram(G)


[N n]=size(G);
Gsave = G;
TROPP_BOUND = 1/sqrt(d);

%GRAM MATRIX PROCESSING
H = 10*eye(N);
G = G+H;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
absG = abs(G);
pos1 = find((absG<10)&(absG>=TROPP_BOUND));    
Gmg = ones(N,N)*TROPP_BOUND;
G(pos1) = Gmg(pos1);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Gsign = ones(N,N);
Gsign(pos1) = sign(Gsave(pos1));
G = Gsign.*G;
G = G-H;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


