function P = ProposedIncoUNTF(A, Phi, iter);

disp('   Constructing PROPOSED INCO-UNTF MATRIX')
disp(['   MAX ITERATIONS = ', num2str(iter)])

[d N] = size(A);
A = normc(A);
A = NearestTightFrame(A);
saveA = A;

mg = 1/sqrt(d);
disp(['   bound used = ', num2str(mg)]);
for k=1:1:iter    
    A = normc(A);
    G = A'*A; %compute Gram matrix          
    %
    Gb = GramTB(G, d);      
    %
    A = GetPhiFromG(Gb,d);
    %
    A = NearestTightFrame(A);
    %
    P = GetProjectionFromEffective(A, Phi);
    %
    A = P*Phi;
end
disp(['   (iterNo=', num2str(k), ')']);  
% mu = max(max(abs(A'*A-eye(N))));
% disp(['   (mu=', num2str(mu), ')']); 

