function [P BPhi z] = ProposedPreconditioning(Phi, d, iter, y);

%Preconditioning PROPOSED

B = RandomDictionary(d, d);
A = B*Phi;
P = ProposedIncoUNTF(A, Phi, iter); %Calculate preconditioner iteratively

BPhi = P*Phi;   

if nargin>3
    z = P*y; 
else
    z = 0;
end
 
% N = size(A,2);
% mu = max(max(abs(BPhi'*BPhi-eye(N))));
% disp(['   (Sensing mu=', num2str(mu), ')']); 
